com.jscape.inspect

## Class DnsResponseCached

- java.lang.Object
- - com.jscape.inspect.DnsResponseCached

- All Implemented Interfaces:
    java.io.Serializable

      public class DnsResponseCached
      extends java.lang.Object
      implements java.io.Serializable

  Represents cached DNS response.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DnsResponseCached(DnsResponse response, java.util.Date date)` Creates cached DNS response.
    `DnsResponseCached(DnsResponse response, int days)` Creates cached DNS response.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getDate()` Gets date that this DNS record will expire from cache.
    `DnsResponse` | `getResponse()` Gets DNS response from cache.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DnsResponseCached

          public DnsResponseCached(DnsResponse response,
                                   java.util.Date date)

      Creates cached DNS response.
      Parameters:
        `response` - a DnsResponse
        `date` - the date to expire response from cache

    - #### DnsResponseCached

          public DnsResponseCached(DnsResponse response,
                                   int days)

      Creates cached DNS response.
      Parameters:
        `response` - a DnsResponse
        `days` - the number of days until expiration of response from cache

  - ### Method Detail

    - #### getResponse

          public DnsResponse getResponse()

      Gets DNS response from cache.
      Returns:
        a DnsResponse

    - #### getDate

          public java.util.Date getDate()

      Gets date that this DNS record will expire from cache.
      Returns:
        a Date

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved